## SMTP Bridge

## Deploy
1. Create `compose.yml`
```yml
services:
  smtp-bridge:
    image: git.shihaam.dev/shihaam/smtp-bridge
    restart: always
    env_file: .env
    ports:
      - 2525:2525
```
2. Fill .env
```
TELEGRAM_API_KEY=''
TELEGRAM_DOMAIN='telegram.local'
NTFY_TOKEN='your_ntfy_token_here'
NTFY_URL='https://ntfy.sh'
NTFY_DOMAIN='ntfy.local'
```
3. Start the container `docker compose up -d`
4. Configure your application to use this brige
```
SMTP
Host: <IP address of the bridge>
Port: 2525
SSL: non
Authentication: non
Username: it_doesnt@matter.com
Password: this_field_is_ignored
Sender Address: this_also@ignored.com
```
5. Send test email to your ntfy topic or telegram chat id, example below
```
topic@ntfy.local
chatid@telegram.local
```
